Subject: AFSTokenPassing
From: "Jochen Küpper" <[email-masked]>
To: Cygwin <[email-masked]>
Date: 12 Oct 2001 21:06:16 -0400

Well, first I have to thank all of you again for bringing at least
some Un*x-feeling to my Windoze-desktop!

I am having trouble with latest Cygwin and corresponding openssh about
AFS token passing.

The ssh manual states
,----
|      AFSTokenPassing
|              Specifies whether to pass AFS tokens to remote host.  The argu-
|              ment to this keyword must be ``yes'' or ``no''. This option ap-
|              plies to protocol version 1 only.
`----
but using the following ~/.ssh/config
,----
| Host *
|         AFSTokenPassing yes
|         ForwardAgent yes
|         ForwardX11 yes
|         Protocol 1,2
|         PubkeyAuthentication yes
|         RhostsAuthentication no
|         RhostsRSAAuthentication yes
|         RSAAuthentication yes
|         PasswordAuthentication yes
`----
I get the following error when running 'ssh -vvv isis'
,----
| OpenSSH_2.9.9p2, SSH protocols 1.5/2.0, OpenSSL 0x0090602f
| debug1: Reading configuration data /etc/ssh_config
| debug1: Applying options for *
| debug1: Reading configuration data /home/jochen/.ssh/config
| debug1: Applying options for *
| /home/jochen/.ssh/config: line 2: Bad configuration option: AFSTokenPassing
| /home/jochen/.ssh/config: terminating, 1 bad configuration options
`----

Moreover I foud the following message in the archives
  http://sources.redhat.com/ml/cygwin/2000-02/msg00001.html
stating that the WinNT klog.exe when run in rxvt/bash diplays
passwords in clear text. Well, it still does. Any progress on that
front? 

Any help is appreciated:))

- - version information:

OpenSSH_2.9.9p2, SSH protocols 1.5/2.0, OpenSSL 0x0090602f

Cygnus Win95/NT Configuration Diagnostics
Current System Time: Fri Oct 12 20:57:59 2001

WinNT Ver 5.0 build 2195 Service Pack 2

Path:	/home/jochen/bin
	/usr/local/bin
	/usr/X11R6/bin
	/usr/bin
	/bin
	/mnt/c/WINNT/system32
	/mnt/c/WINNT
	/mnt/c/WINNT/System32/
	/usr/bin
	/mnt/c/Perl/bin/
	/mnt/c/backup
	/mnt/c/Program Files/molekel
	/mnt/c/PROGRA~1/AFS/Client/Program
	/mnt/c/PROGRA~1/AFS/Common
	/mnt/c/Program Files/Common Files/MDL Shared/ISIS

SysDir: C:\WINNT\System32
WinDir: C:\WINNT

PWD = `/home/jochen'
LD_LIBRARY_PATH = `/home/jochen/lib:'
CYGWIN = `check_case:adjust glob notitle ntsec tty MAKE_MODE=UNIX'
USER = `jochen'
C_INCLUDE_PATH = `/home/jochen/include:/usr/local/include:/usr/include:/usr/X11R6/include'
LIBRARY_PATH = `/home/jochen/lib:'
MAKE_MODE = `unix'
HOME = `/home/jochen'

Use `-r' to scan registry

a:  fd           N/A    N/A                    
c:  hd  NTFS    8189Mb  44% CP CS UN PA FC     System
d:  cd           N/A    N/A                    
i:  net AFS    2097151Mb  51% CP CS              ?S
m:  net NTFS   21657Mb  87% CP CS    PA        .
n:  net NTFS   21657Mb  87% CP CS    PA        .
o:  net NTFS   21657Mb  87% CP CS    PA        .
x:  net NTFS   75116Mb  26% CP CS    PA        .
z:  net NTFS   21657Mb  87% CP CS    PA        .

C:\cygwin\bin  /usr/bin  system  binmode
C:\cygwin\lib  /usr/lib  system  binmode
C:\cygwin  /        system  binmode
c:\data  /home    system  binmode
c:\tmp  /tmp     system  binmode
c:    /mnt/c   system  binmode
d:    /mnt/cdrom  system  binmode
i:    /cygdrive/i  user    binmode,noumount
m:    /cygdrive/m  user    binmode,noumount
n:    /cygdrive/n  user    binmode,noumount
o:    /cygdrive/o  user    binmode,noumount
x:    /cygdrive/x  user    binmode,noumount
z:    /cygdrive/z  user    binmode,noumount

Found: C:\cygwin\bin\bash.exe
Found: C:\cygwin\bin\cat.exe
Found: C:\cygwin\bin\cpp.exe
Found: C:\cygwin\bin\find.exe
Found: C:\cygwin\bin\gcc.exe
Found: C:\cygwin\bin\gdb.exe
Found: C:\cygwin\bin\ld.exe
Found: C:\cygwin\bin\ls.exe
Found: C:\cygwin\bin\make.exe
Found: C:\cygwin\bin\sh.exe

   56k 2000/12/03 C:\cygwin\bin\cygbz21.0.dll
   45k 2001/04/25 C:\cygwin\bin\cygform5.dll
   34k 2001/09/30 C:\cygwin\bin\cygform6.dll
   18k 2000/10/23 C:\cygwin\bin\cyggdbm.dll
   17k 2001/06/28 C:\cygwin\bin\cyghistory4.dll
   21k 2001/06/28 C:\cygwin\bin\cyghistory5.dll
   21k 2001/06/20 C:\cygwin\bin\cygintl.dll
   81k 2001/04/28 C:\cygwin\bin\cygitcl30.dll
   35k 2001/04/28 C:\cygwin\bin\cygitk30.dll
   45k 2001/07/04 C:\cygwin\bin\cygjbig1.dll
  119k 2001/06/06 C:\cygwin\bin\cygjpeg6b.dll
   26k 2001/04/25 C:\cygwin\bin\cygmenu5.dll
   19k 2001/09/30 C:\cygwin\bin\cygmenu6.dll
  156k 2001/04/25 C:\cygwin\bin\cygncurses++5.dll
  175k 2001/09/30 C:\cygwin\bin\cygncurses++6.dll
  226k 2001/04/25 C:\cygwin\bin\cygncurses5.dll
  201k 2001/09/30 C:\cygwin\bin\cygncurses6.dll
   15k 2001/04/25 C:\cygwin\bin\cygpanel5.dll
   12k 2001/09/30 C:\cygwin\bin\cygpanel6.dll
  163k 2001/05/06 C:\cygwin\bin\cygpng2.dll
  108k 2001/06/28 C:\cygwin\bin\cygreadline4.dll
  135k 2001/06/28 C:\cygwin\bin\cygreadline5.dll
  390k 2001/04/28 C:\cygwin\bin\cygtcl80.dll
    5k 2001/04/28 C:\cygwin\bin\cygtclpip80.dll
   10k 2001/04/28 C:\cygwin\bin\cygtclreg80.dll
  245k 2001/06/12 C:\cygwin\bin\cygtiff3.dll
  623k 2001/04/28 C:\cygwin\bin\cygtk80.dll
   41k 2001/07/04 C:\cygwin\bin\cygXpm-noX4.dll
   45k 2001/07/04 C:\cygwin\bin\cygXpm-X4.dll
   49k 2001/02/03 C:\cygwin\bin\cygz.dll
  701k 2001/09/13 C:\cygwin\bin\cygwin1.dll
    Cygwin DLL version info:
        dll major: 1003
        dll minor: 3
        dll epoch: 19
        dll bad signal mask: 19005
        dll old termios: 5
        dll malloc env: 28
        api major: 0
        api minor: 46
        shared data: 3
        dll identifier: cygwin1
        mount registry: 2
        cygnus registry name: Cygnus Solutions
        cygwin registry name: Cygwin
        program options name: Program Options
        cygwin mount registry name: mounts v2
        cygdrive flags: cygdrive flags
        cygdrive prefix: cygdrive prefix
        cygdrive default prefix: 
        build date: Wed Sep 12 23:54:31 EDT 2001
        shared id: cygwin1S3

Use -h to see help about each section

Greetings,
Jochen
- -- 
University of North Carolina                       phone: +1-919-962-4403
Department of Chemistry                            phone: +1-919-962-1579
Venable Hall CB#3290 (Kenan C148)                    fax: +1-919-843-6041
Chapel Hill, NC 27599, USA                            GnuPG key: 44BCCD8E

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/